#!/bin/bash

COMMAND="/opt/jfrog/xray-indexer/indexer"
EXTRA_CONF="$DOCKER_COMPOSE_FLAGS $DOCKER_COMPOSE_XRAY_FLAGS"

DOCKER_ENV_FILE="/.dockerenv"
K8S_ENV_FOLDER="/var/run/secrets/kubernetes.io"

if [ -f ${DOCKER_ENV_FILE} ] && [ -d ${K8S_ENV_FOLDER} ]; then
    echo "Running on k8s environment"
    export XRAY_K8S_ENV=${XRAY_K8S_ENV:-'true'}
fi

chmod +x ${COMMAND}
echo xray-indexer service container is starting...
sleep 2

echo "Exec: ${COMMAND} ${EXTRA_CONF}"
exec ${COMMAND} ${EXTRA_CONF}
